# \Thelia\Core\HttpFoundation\SessionSession

## Summary

Methods
Properties
Constants
getLocale()
getLang()
setCustomerUser()
getCustomerUser()
clearCustomerUser()
setAdminUser()
getAdminUser()
clearAdminUser()
setErrorFormName()
getErrorFormName()
clearErrorFormName()
setReturnToUrl()
getReturnToUrl()
getCart()
setCart()
No public properties found
No constants found
verifyValidCart()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/HttpFoundation/Session/Session.php
Package
  \Default
Class hierarchy
  \Symfony\Component\HttpFoundation\Session\Session
  \Thelia\Core\HttpFoundation\Session\Session

## Tags

None found

## Methods

### getLocale()

    getLocale()

#

## Tags

None found

### getLang()

    getLang()

#

## Tags

None found

### setCustomerUser()

    setCustomerUser(\Thelia\Core\Security\User\UserInterface $user)

#### Parameters

\Thelia\Core\Security\User\UserInterface | $user |

#

## Tags

None found

### getCustomerUser()

    getCustomerUser()

#

## Tags

None found

### clearCustomerUser()

    clearCustomerUser()

#

## Tags

None found

### setAdminUser()

    setAdminUser(\Thelia\Core\Security\User\UserInterface $user)

#### Parameters

\Thelia\Core\Security\User\UserInterface | $user |

#

## Tags

None found

### getAdminUser()

    getAdminUser()

#

## Tags

None found

### clearAdminUser()

    clearAdminUser()

#

## Tags

None found

### setErrorFormName()

    setErrorFormName(string $formName)

#### Parameters

string | $formName | the form name

#

## Tags

None found

### getErrorFormName()

    getErrorFormName()

#

## Tags

None found

### clearErrorFormName()

    clearErrorFormName()

#

## Tags

None found

### setReturnToUrl()

    setReturnToUrl( $url)

#### Parameters

| $url |

#

## Tags

None found

### getReturnToUrl()

    getReturnToUrl() : \Thelia\Core\HttpFoundation\Session\the

#### Returns

\Thelia\Core\HttpFoundation\Session\the —

return-to URL, or the index page if none is defined.

#

## Tags

None found

### getCart()

    getCart() : \Thelia\Model\Cart|null

return cart if exists and is valid (checking customer)

#### Returns

\Thelia\Model\Cart|null

#

## Tags

None found

### setCart()

    setCart(mixed $cart_id)

assign cart id in session

#### Parameters

mixed | $cart_id |

#

## Tags

None found

### verifyValidCart()

    verifyValidCart(\Thelia\Model\Cart $cart)

#### Parameters

\Thelia\Model\Cart | $cart |

#### Throws

\Thelia\Exception\InvalidCartException

#

## Tags

None found

### Session.php